import React from 'react';
import './index.less';

function Button(props) {
  const { children, className = '', theme = 'theme', size = 'basic', disabled, radius, width, onClick } = props;
  return (
    <div
      style={{ width: width || '' }}
      className={`button ${className} ${theme} ${size} ${disabled ? 'disabled' : ''}  ${radius ? 'radius' : ''}`}
      onClick={e => onClick && onClick(e)}
    >
      {children}
    </div>
  );
}
Button.propTypes = {};
export default Button;
